UbixOS V2 2.0

Public Member Functions
dhcp_msg Struct Reference

`#include <dhcp.h>`

Collaboration diagram for dhcp_msg:

## Public Member Functions
| PACK_STRUCT_FIELD (u16_t flags)
| PACK_STRUCT_FIELD (u16_t secs)
| PACK_STRUCT_FIELD (u32_t cookie)
| PACK_STRUCT_FIELD (u32_t xid)
| PACK_STRUCT_FLD_8 (u8_t chaddr[16U])
| PACK_STRUCT_FLD_8 (u8_t file[128U])
| PACK_STRUCT_FLD_8 (u8_t hlen)
| PACK_STRUCT_FLD_8 (u8_t hops)
| PACK_STRUCT_FLD_8 (u8_t htype)
| PACK_STRUCT_FLD_8 (u8_t op)
| PACK_STRUCT_FLD_8 (u8_t options[68U])
| PACK_STRUCT_FLD_8 (u8_t sname[64U])
| PACK_STRUCT_FLD_S (ip4_addr_p_t ciaddr)
| PACK_STRUCT_FLD_S (ip4_addr_p_t giaddr)
| PACK_STRUCT_FLD_S (ip4_addr_p_t siaddr)
| PACK_STRUCT_FLD_S (ip4_addr_p_t yiaddr)

## Detailed Description

minimum set of fields of any DHCP message

Definition at line 65 of file dhcp.h.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD() [1/4]

dhcp_msg::PACK_STRUCT_FIELD | ( | u16_t | flags | ) |

## ◆ PACK_STRUCT_FIELD() [2/4]

dhcp_msg::PACK_STRUCT_FIELD | ( | u16_t | secs | ) |

## ◆ PACK_STRUCT_FIELD() [3/4]

dhcp_msg::PACK_STRUCT_FIELD | ( | u32_t | cookie | ) |

## ◆ PACK_STRUCT_FIELD() [4/4]

dhcp_msg::PACK_STRUCT_FIELD | ( | u32_t | xid | ) |

## ◆ PACK_STRUCT_FLD_8() [1/8]

dhcp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | chaddr[16U] | ) |

## ◆ PACK_STRUCT_FLD_8() [2/8]

dhcp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | file[128U] | ) |

## ◆ PACK_STRUCT_FLD_8() [3/8]

dhcp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | hlen | ) |

## ◆ PACK_STRUCT_FLD_8() [4/8]

dhcp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | hops | ) |

## ◆ PACK_STRUCT_FLD_8() [5/8]

dhcp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | htype | ) |

## ◆ PACK_STRUCT_FLD_8() [6/8]

dhcp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | op | ) |

## ◆ PACK_STRUCT_FLD_8() [7/8]

dhcp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | options[68U] | ) |

## ◆ PACK_STRUCT_FLD_8() [8/8]

dhcp_msg::PACK_STRUCT_FLD_8 | ( | u8_t | sname[64U] | ) |

## ◆ PACK_STRUCT_FLD_S() [1/4]

dhcp_msg::PACK_STRUCT_FLD_S | ( | ip4_addr_p_t | ciaddr | ) |

## ◆ PACK_STRUCT_FLD_S() [2/4]

dhcp_msg::PACK_STRUCT_FLD_S | ( | ip4_addr_p_t | giaddr | ) |

## ◆ PACK_STRUCT_FLD_S() [3/4]

dhcp_msg::PACK_STRUCT_FLD_S | ( | ip4_addr_p_t | siaddr | ) |

## ◆ PACK_STRUCT_FLD_S() [4/4]

dhcp_msg::PACK_STRUCT_FLD_S | ( | ip4_addr_p_t | yiaddr | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/prot/dhcp.h